## org.codehaus.groovy.grails.compiler.injection
Class GrailsAwareInjectionOperation

    java.lang.Object
      org.codehaus.groovy.control.CompilationUnit.PrimaryClassNodeOperation
          org.codehaus.groovy.grails.compiler.injection.GrailsAwareInjectionOperation

    public class GrailsAwareInjectionOperation

extends org.codehaus.groovy.control.CompilationUnit.PrimaryClassNodeOperation

A Groovy compiler injection operation that uses a specified array of ClassInjector instances to attempt AST injection.

Since:
  0.6

  Created: Jul 27, 2007 Time: 10:57:35 AM
Author:
  Graeme Rocher

Constructor Summary
`GrailsAwareInjectionOperation(groovy.lang.GroovyResourceLoader resourceLoader, ClassInjector[] injectors)`

Method Summary
`void` `call(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)`

Methods inherited from class org.codehaus.groovy.control.CompilationUnit.PrimaryClassNodeOperation
`needSortedInput`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsAwareInjectionOperation

    public GrailsAwareInjectionOperation(groovy.lang.GroovyResourceLoader resourceLoader,
                                         ClassInjector[] injectors)

Method Detail

### call

    public void call(org.codehaus.groovy.control.SourceUnit source,
                     org.codehaus.groovy.classgen.GeneratorContext context,
                     org.codehaus.groovy.ast.ClassNode classNode)
              throws org.codehaus.groovy.control.CompilationFailedException

  Specified by:
    `call` in class `org.codehaus.groovy.control.CompilationUnit.PrimaryClassNodeOperation`
  Throws:
    `org.codehaus.groovy.control.CompilationFailedException`

Copyright (c) 2005-2009 The Grails project